/* ==========================================================================
   Base styles
   ========================================================================== */
/* stylelint-disable selector-max-universal  */
*,
*::before,
*::after {
  box-sizing: border-box;
}
/* stylelint-enable selector-max-universal */

html {
  font-family: $main-font;
  font-size: 50%;
  line-height: $main-line-height;
  color: $main-text-color;
  overflow-wrap: break-word;
  word-wrap: break-word;
  height: 100%;

  @media #{$m-to-3xl} {
    font-size: 45%;
  }

  @media #{$m-to-2xl} {
    font-size: 40%;
  }

  @media #{$m-to-xl} {
    font-size: 33.5%;
  }
}

body {
  background: $main-bg;
  font-size: 220%;
  height: 100%;
}

audio,
canvas,
iframe,
img,
svg,
video,
object,
input,
textarea {
  vertical-align: middle;
  max-width: 100%;
}

img {
  height: auto;
}

textarea {
  resize: vertical;
}

button,
input[type="submit"] {
  cursor: pointer;
}

a {
  color: inherit;
  text-decoration: none;
}
